from abc import ABC, abstractmethod
from gateway_core.domain.Reboot import RebootDto


class RebootPort(ABC):
    @abstractmethod
    async def triggerReboot(self, dto: RebootDto) -> None:
        ...

